@page
@model WebApp.Pages_Expenses.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Expense[0].Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Expense[0].Cost)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Expense[0].Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Expense[0].Car)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Expense[0].ExpenseCategory)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Expense[0].Time)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Expense) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Cost)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DescriptionPreview)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Car!.RegistrationNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ExpenseCategory!.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Time)
            </td>
            <td>
                <a asp-page="./Edit" asp-route-id="@item.ExpenseId">Edit</a> |
                <a asp-page="./Details" asp-route-id="@item.ExpenseId">Details</a> |
                <a asp-page="./Delete" asp-route-id="@item.ExpenseId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
